<div>
    <app-header (showLogin)="false" (logout)="onLogout()"></app-header>
    <div class="content ">
        <p>Before clicking the run button make sure you have the following:</p>
        <ul>
            <li>Do you have you csv's in the correct folder?</li>
            <li>If you want to generate a report template only put one row</li>
            <li>If you want to generate a report template and add data to it let the fisrt row be your fields and the rest of the rows be your data</li>
        </ul>
        <button class="btn btn-primary" (click)="onCreateReport()">Run</button>
        <div *ngIf="showResults" class="results">
            <hr>
            <p>Results:</p>
            <div class="row">
                <div class="col-6" >
                    <app-performance-results 
                    [performance]="performanceComparator.fileServer"
                    [primary]="true"
                    ></app-performance-results>
                </div>
                <div class="col-6" >
                    <app-performance-results 
                    [performance]="performanceComparator.s3"
                    [primary]="false"
                    ></app-performance-results>
                </div>
            </div>
        </div>


    </div>

</div>
